Prolifto
API reference

Members

Store team members

Get Many

POST
/members/getMany

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/members/getMany"
{}

Get Invitations

POST
/members/getInvitations

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/members/getInvitations"
{}

Invite

POST
/members/invite

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/members/invite" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "role": "admin"  }'
{}

Resend Invitation

POST
/members/resendInvitation

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/members/resendInvitation" \  -H "Content-Type: application/json" \  -d '{    "invitationId": "string"  }'
{}

Cancel Invitation

POST
/members/cancelInvitation

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/members/cancelInvitation" \  -H "Content-Type: application/json" \  -d '{    "invitationId": "string"  }'
{}

Remove Member

POST
/members/removeMember

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/members/removeMember" \  -H "Content-Type: application/json" \  -d '{    "memberId": "string"  }'
{}

Update Role

POST
/members/updateRole

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/members/updateRole" \  -H "Content-Type: application/json" \  -d '{    "memberId": "string",    "role": "admin"  }'
{}